View Issue Details

IDProjectCategoryView StatusLast Update
0003257SketcherBugpublic2017-12-07 10:21
ReporterDeepSOICAssigned Toabdullah 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003257: Can't apply vertical constraint - "this edge already has H-constraint"
DescriptionSometimes, FreeCAD refuses to apply vertical (or horizontal) constraint to an edge, if an endpoint of the edge participates in another vertical/horizontal constraint.
Steps To Reproduce1. Load attached project
2. Open the sketch, select the line, and try applying Vertical Constraint to it
-> error message, "This edge already has a horizontal constraint". Expected behavior is that the constraint should be applied.
Additional Informationforum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=25288

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12539 (Git)
Build type: Release
Branch: master
Hash: adc24f8c8ffb81ce5b85af9ac6ed67054ae0030d
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: Russian/RussianFederation (ru_RU)
Tagsconstraints, GUI

Activities

DeepSOIC

2017-11-12 11:48

developer  

sketch-vertical-constraint-impossible.FCStd (3,003 bytes)

DeepSOIC

2017-11-12 11:49

developer   ~0010412

@abdullah I hope you don't mind I assigned the bug to you =)

abdullah

2017-11-14 13:15

manager   ~0010417

@DeepSOIC

No problem at all. Eventually I will have time to code again and coding for FreeCAD is something I love to do ;)

abdullah

2017-12-06 16:06

manager   ~0010518

https://github.com/FreeCAD/FreeCAD/pull/1142

wmayer

2017-12-07 10:21

administrator   ~0010538

https://github.com/FreeCAD/FreeCAD/commit/4006c6ee97bde0f184d8d67a73fce308bb413f85

Issue History

Date Modified Username Field Change
2017-11-12 11:48 DeepSOIC New Issue
2017-11-12 11:48 DeepSOIC Status new => assigned
2017-11-12 11:48 DeepSOIC Assigned To => abdullah
2017-11-12 11:48 DeepSOIC File Added: sketch-vertical-constraint-impossible.FCStd
2017-11-12 11:48 DeepSOIC Tag Attached: constraints
2017-11-12 11:48 DeepSOIC Tag Attached: GUI
2017-11-12 11:49 DeepSOIC Note Added: 0010412
2017-11-14 13:15 abdullah Note Added: 0010417
2017-12-06 16:06 abdullah Note Added: 0010518
2017-12-07 10:21 wmayer Status assigned => closed
2017-12-07 10:21 wmayer Resolution open => fixed
2017-12-07 10:21 wmayer Fixed in Version => 0.17
2017-12-07 10:21 wmayer Note Added: 0010538